package Requests;

import commandSystem.Direction;

public class CallFromElevatorRequest implements Request {

	private final int wantedFloor;

	public CallFromElevatorRequest(int wantedFloor) {
		this.wantedFloor = wantedFloor;
	}

	@Override
	public Direction getRequestedDirection() {
		return Direction.NONE;
	}

	@Override
	public int getRequestedFloor() {
		return wantedFloor;
	}

	@Override
	public int getIncomingCallFloor() {
		return -1;
	}

	@Override
	public RequestType getType() {
		return RequestType.CALLFROMELEVATOR;
	}

	@Override
	public int getCurrentFloor() {
		return -1;
	}

	@Override
	public Direction getCurrentDirection() {
		return Direction.NONE;
	}
}
