package Requests;

import commandSystem.Direction;

public class CallFromFloorRequest implements Request {


	private final int incomingCallFloor;
	private final Direction direction;

	public CallFromFloorRequest(int incomingCallFloor, Direction direction) {
		this.incomingCallFloor = incomingCallFloor;
		this.direction = direction;
	}

	@Override
	public Direction getRequestedDirection() {
		return direction;
	}

	@Override
	public int getRequestedFloor() {
		return -1;
	}

	@Override
	public int getIncomingCallFloor() {
		return incomingCallFloor;
	}

	@Override
	public RequestType getType() {
		return RequestType.CALLFROMFLOOR;
	}

	@Override
	public int getCurrentFloor() {
		return -1;
	}

	@Override
	public Direction getCurrentDirection() {
		return Direction.NONE;
	}

}
