package Requests;

import commandSystem.Direction;

public class ReachedFloorSignal implements Request{
	
	private final int currentFloor;
	private final Direction currentDirection;

	public ReachedFloorSignal(int currentFloor, Direction currentDirection) {
		this.currentFloor = currentFloor;
		this.currentDirection = currentDirection;
	}

	@Override
	public Direction getRequestedDirection() {
		return Direction.NONE;
	}

	@Override
	public int getRequestedFloor() {
		return -1;
	}

	@Override
	public int getIncomingCallFloor() {
		return -1;
	}

	@Override
	public RequestType getType() {
		return RequestType.REACHEDFLOORSIGNAL;
	}

	@Override
	public int getCurrentFloor() {
		return currentFloor;
	}

	@Override
	public Direction getCurrentDirection() {
		return currentDirection;
	}
	
	
}
