package Requests;

import commandSystem.Direction;

public interface Request {

	/**
	 * 
	 * @return the direction of the request, unconcerned extending classes return
	 *         NONE.
	 */
	public Direction getRequestedDirection();

	/**
	 * 
	 * @return the wished floor, unconcerned extending classes return -1.
	 */
	public int getRequestedFloor();

	/**
	 * 
	 * @return the floor it was called from, unconcerned extending classes return
	 *         -1.
	 */
	public int getIncomingCallFloor();

	/**
	 * 
	 * @return the RequestType of the request.
	 */
	public RequestType getType();

	/**
	 * 
	 * @return the floor the elevator just reached, unconcerned extending classes
	 *         return -1.
	 */
	public int getCurrentFloor();

	/**
	 * 
	 * @return the direction of the elevator, when a reachedFloorSignal is sent.
	 *         Unconcerned extending classes return NONE
	 */
	public Direction getCurrentDirection();
}
