package commandSystem;

import Requests.CallFromElevatorRequest;
import Requests.CallFromFloorRequest;
import simulation.Elevator;

public class Test {

	private static boolean running = false;
	private static EventQueue queue;

	private static Direction direction;
	private static int currentFloor;

	public static void iter() {
		int nextDestination = queue.getNextInstruction();
		//System.out.println("next dest = " + nextDestination);
		if (!running) {
			if (nextDestination > 0) { // return -1 if no next destination
				running = true;
				direction = currentFloor < nextDestination ? Direction.UP : Direction.DOWN;
			}
		} else {
			if (currentFloor == nextDestination) {
				queue.removeInstruction(currentFloor, direction);
				running = false;
			} else {
				direction = currentFloor < nextDestination ? Direction.UP : Direction.DOWN;
				currentFloor += direction == Direction.UP ? 1 : -1;
			}
		}
		System.out.println("elevator floor " + currentFloor + " direction " +
			 (direction == Direction.UP? "up" : "down") + " running: " + running);
	}

	public static void main(String[] args) {
		//TODO envoyer les notifs de changements d'étages
		queue = new EventQueue();
		iter();
		iter();
		queue.computeRequest(new CallFromFloorRequest(2, Direction.DOWN));
		iter();
		System.out.println("someone calls from floor 2 to go down");
		iter();
		queue.computeRequest(new CallFromFloorRequest(1, Direction.UP));
		System.out.println("someone calls from floor 1 to go up");
		iter();

		queue.computeRequest(new CallFromElevatorRequest(5));
		System.out.println("the guy who entered calls for floor 5");

		iter();
		iter();
		iter();
		iter();
		iter();
		iter();
		iter();
		iter();
		iter();
		iter();
		iter();
		iter();

	}
}
